网站首页 文章专栏 eclipse-maven-eclipse安装完maven后,就报如下错误,意思就是,eclipse运行时使用jre,但是jdk是运行时必要的。
eclipse-maven-eclipse安装完maven后,就报如下错误,意思就是,eclipse运行时使用jre,但是jdk是运行时必要的。
编辑时间:2019-12-16 10:58:26.0 作者:hcy 浏览量:141

打开maven警告提示

eclipse安装完maven后,就报如下错误,意思就是,eclipse运行时使用jre,但是jdk是运行时必要的。

Eclipse is running in a JRE, but a JDK is required   Some Maven plugins may not work when importing projects or updating source folders.

1 java - installed jres 选择jdk

2 eclipse.ini 配置修改

以下是我的全部配置 加粗部分为新增

-startup
plugins/org.eclipse.equinox.launcher_1.3.0.v20120522-1813.jar
--launcher.library
plugins/org.eclipse.equinox.launcher.win32.win32.x86_64_1.1.200.v20120522-1813
-product
org.eclipse.epp.package.jee.product
--launcher.defaultAction
openFile
--launcher.XXMaxPermSize
256M
-showsplash
org.eclipse.platform
--launcher.XXMaxPermSize
256m

---- 新增部分 Progra~1= Program Files   Progra~2= Program Files (x86) ----

------- 不要直接写   C:\Program Files\Java\jdk1.8.0_91\bin\javaw 
-vm 
C:\Progra~1\Java\jdk1.8.0_91\bin\javaw

---- 新增部分----
--launcher.defaultAction
openFile
-vmargs
-Dosgi.requiredJavaVersion=1.5
-Dhelp.lucene.tokenizer=standard
-Xms256m
-Xmx512m

 

参考地址 https://yq.aliyun.com/articles/40917

 

 

来说两句吧
最新评论